package com.buy507.mall.dto;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 会员月度奖励查询实体
 */
@ApiModel("会员月度奖励查询实体")
public class MemberMonthRewardResult {
	
	@ApiModelProperty(value = "会员ID")
	private Long memberId;
	
	@ApiModelProperty(value = "昵称")
    private String nickname;
	
	@ApiModelProperty(value = "分销会员等级（0->普通会员；1->消费商；2->经销商；3->合作商；4->初级合作商；5->中级合作商；6->高级合作商；7->特级合作商）")
	private Integer memberLevel;

    @ApiModelProperty(value = "手机号码")
    private String phone;
    
    @ApiModelProperty(value = "性别：0->未知；1->男；2->女")
    private Integer gender;
	
    @ApiModelProperty(value = "月度奖励")
	private BigDecimal value;
	
    @ApiModelProperty(value = "分享人")
	private String inviter;
	
    @ApiModelProperty(value = "注册时间")
	private Date createTime;

	public Long getMemberId() {
		return memberId;
	}

	public void setMemberId(Long memberId) {
		this.memberId = memberId;
	}

	public String getNickname() {
		return nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public Integer getMemberLevel() {
		return memberLevel;
	}

	public void setMemberLevel(Integer memberLevel) {
		this.memberLevel = memberLevel;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Integer getGender() {
		return gender;
	}

	public void setGender(Integer gender) {
		this.gender = gender;
	}

	public BigDecimal getValue() {
		return value;
	}

	public void setValue(BigDecimal value) {
		this.value = value;
	}

	public String getInviter() {
		return inviter;
	}

	public void setInviter(String inviter) {
		this.inviter = inviter;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	
}
